const buscar = (e) => {
    const textToSearch = e.target.value
    const icons = document.querySelectorAll(".icon")
    icons.forEach(icon => {
        const iconName = icon.textContent.toLowerCase()
        iconName.includes(textToSearch)
            // ? icon.classList.remove("filtro")
            // : icon.classList.add("filtro")
            ? fadeInEffect(icon)
            : fadeOutEffect(icon)

    })
}

const loadBuscador = () => {
    const buscador = document.querySelector("#buscador")
    buscador.addEventListener("keyup", buscar)
}

function fadeOutEffect(element) {
    var fadeTarget = element
    var fadeEffect = setInterval(function () {
        if (!fadeTarget.style.opacity) {
            fadeTarget.style.opacity = 1;
        }
        if (fadeTarget.style.opacity > 0) {
            fadeTarget.style.opacity -= 0.1;
        } else {
            clearInterval(fadeEffect);
            fadeTarget.style.display = "none"
        }
    }, 30);
}
function fadeInEffect(element) {
    let number = 0
    var fadeTarget = element
    var fadeEffect = setInterval(function () {
        fadeTarget.style.display = ""
        if (!fadeTarget.style.opacity) {
            fadeTarget.style.opacity = 0;
        }
        if (fadeTarget.style.opacity < 1) {
            number = number + 0.1;
            fadeTarget.style.opacity = number
        } else {
            clearInterval(fadeEffect);
        }
    }, 30);
}

document.addEventListener("DOMContentLoaded", loadBuscador);
